Bug 662221 - Firefork won't start after crash.
Summary: Firefork won't start after crash.
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: firefox
Version: 6.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Martin Stransky
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-10 22:09 UTC by Jay Fenlason
Modified: 2014-08-31 23:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-16 12:45:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 619662 None None None Never

Description Jay Fenlason 2010-12-10 22:09:28 UTC
Description of problem:
My system crashed.  After I power cycled it and rebooted, firefox refuses to start, claiming that it's already running.  The ps command shows no firefox processes anywhere on the system.

Version-Release number of selected component (if applicable):
firefox-3.6.9-2.el6.x86_64

How reproducible:
Haven't tried.

Steps to Reproduce:
1.Crash my system
2.reboot
3.Attempt to start firefox in order to file a bug.
  
Actual results:
Popup window saying that firefox is already running.

Expected results:
firefox to start

Additional info:
konqueror starts, so I can use it to file bugs.

Comment 2 Matěj Cepl 2010-12-13 18:12:06 UTC
Just to be sure, what command

pgrep -f -l firefox

says? Also does

ls ~/.mozilla/firefox/*/lock

show lockfile in the active profile?

Thank you for reporting the issue.

Comment 4 Matěj Cepl 2010-12-14 09:35:10 UTC
Hmm, is your $HOME directory on NFS?

Comment 5 Jay Fenlason 2010-12-14 16:54:36 UTC
Yes, of course.  Isn't everyone's here?

Comment 7 Martin Stransky 2010-12-15 08:57:24 UTC
Just remove the lock file.

Comment 8 Jay Fenlason 2010-12-15 16:33:56 UTC
If the correct user action is to remove a file, the popup window needs to say so, rather than just saying to reboot, which has no effect on the file in question.  Otherwise there is no way for the user to tell that the file in question even exists, much less that it has anything to do with their problem.

Comment 9 Matěj Cepl 2010-12-16 12:45:36 UTC
We filed this bug in the upstream database (https://bugzilla.mozilla.org/show_bug.cgi?id=619662) and believe that it is more appropriate to let it be resolved upstream.

We will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

We would strongly encourage you to subscribe to the upstream bug as well (by logging in and adding yourself to the Cc list), so that you can provide whatever information required for the successful resolving of this issue.

Thank you for helping to make free software better.


Note You need to log in before you can comment on or make changes to this bug.